<?php
include('../koneksi.php');
//$id = $_GET['id'];
$id = '1c6531dcca89f427f4475b5848aeb49a';
if (empty($id)) {
    header('Location: ' . $link);
}

//$data = mysqli_query($conn, "select * from dukcapil where md5(md5(id))='$id'");
//while ($d = mysqli_fetch_array($data)) {
    //This page contains edit the existing file by using fpdi.
    require(dirname(__DIR__) . './watermark/WatermarkPDF/WatermarkPDF.php');
    # ==========================
    //$pdfFile = dirname(__DIR__) . "../watermark/akta2.pdf";
    $pdfFile = dirname(__DIR__) . "../data_dukung/coba.pdf";

    $pdf = new WatermarkPDF($pdfFile, '');
    //$pdf = new FPDI();
    $pdf->AddPage();
    $pdf->SetFont('Arial', '', 17);
    $pdf->RotatedText(5, 20, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
    $pdf->RotatedText(5, 60, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
    $pdf->RotatedText(5, 100, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
    $pdf->RotatedText(5, 140, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
    $pdf->RotatedText(5, 180, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
    $pdf->RotatedText(5, 220, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
    $pdf->RotatedText(5, 260, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
    $pdf->RotatedText(5, 300, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
    $pdf->RotatedText(5, 340, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
    $pdf->RotatedText(5, 380, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
    $pdf->RotatedText(5, 420, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
    $pdf->RotatedText(5, 460, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);


    /*$txt = "FPDF is a PHP class which allows to generate PDF files with pure PHP, that is to say " .
        "without using the PDFlib library. F from FPDF stands for Free: you may use it for any " .
        "kind of usage and modify it to suit your needs.\n\n";
for ($i = 0; $i < 25; $i++) {
    $pdf->MultiCell(0, 5, $txt, 0, 'J');
}*/


    if ($pdf->numPages > 1) {
        for ($i = 2; $i <= $pdf->numPages; $i++) {
            //$pdf->endPage();
            $pdf->_tplIdx = $pdf->importPage($i);
            $pdf->AddPage();
            $pdf->SetFont('Arial', '', 17);
            $pdf->RotatedText(5, 20, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
            $pdf->RotatedText(5, 60, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
            $pdf->RotatedText(5, 100, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
            $pdf->RotatedText(5, 140, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
            $pdf->RotatedText(5, 180, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
            $pdf->RotatedText(5, 220, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
            $pdf->RotatedText(5, 260, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
            $pdf->RotatedText(5, 300, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
            $pdf->RotatedText(5, 340, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
            $pdf->RotatedText(5, 380, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
            $pdf->RotatedText(5, 420, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
            $pdf->RotatedText(5, 460, 'Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya * Akta Cerai Pengadilan Agama Palangka Raya', 45);
        }
    }

    $pdf->Output(); //If you Leave blank then it should take default "I" i.e. Browser
    //$pdf->Output("sampleUpdated.pdf", 'D'); //Download the file. open dialogue window in browser to save, not open with PDF browser viewer
    //$pdf->Output("save_to_directory_path.pdf", 'F'); //save to a local file with the name given by filename (may include a path)
    //$pdf->Output("sampleUpdated.pdf", 'I'); //I for "inline" to send the PDF to the browser
    //$pdf->Output("", 'S'); //return the document as a string. filename is ignored.
//}